Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 412471 - emerge --search output behaviour may appear slow
Summary: emerge --search output behaviour may appear slow
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Interface (emerge) (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2012-04-18 06:56 UTC by Patrick Lauer
Modified: 2015-02-15 00:52 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Lauer gentoo-dev 2012-04-18 06:56:25 UTC
Right now emerge --search builds a list of search results, then prints all results at the end. This appears slow to users as it "stalls" while generating the results, then spews them at the end.

Printing each result as it is found should have much better interactivity and will appear faster even when it takes the same amount of time
Comment 1 Zac Medico gentoo-dev 2014-10-23 11:27:45 UTC
I would like to develop a streaming API for the package description index file (see bug #525718). My plan is to search index file streams from all repos simultaneously, and to group together results for the same ${CATEGORY}/${PN} across all repositories.
Comment 2 Zac Medico gentoo-dev 2014-11-01 23:12:47 UTC
My latest patch series from bug #525718 includes support for incremental display of search results:

	http://thread.gmane.org/gmane.linux.gentoo.portage.devel/4648/focus=4717

I'm maintaining this patch series in the following branch:

	https://github.com/zmedico/portage/tree/bug_525718_stream
Comment 3 Zac Medico gentoo-dev 2014-11-05 04:35:45 UTC
I've split out a patch to fix this bug from the series for bug 525718. It's in this branch:

	https://github.com/zmedico/portage/tree/bug_412471

I've posted it for review here:

	http://thread.gmane.org/gmane.linux.gentoo.portage.devel/4749
Comment 4 Zac Medico gentoo-dev 2014-12-07 23:17:06 UTC
This is in the master branch now:

https://github.com/gentoo/portage/commit/4938b8a8a72e719b394a5c5b0c5030c160091d57
Comment 5 Brian Dolbec gentoo-dev 2015-02-15 00:52:49 UTC
Released in portage-2.2.16.